Bug 11174 - генерируемый initrd не загружает систему
: генерируемый initrd не загружает систему
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkinitrd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-21 20:01 by
Modified: 2008-01-08 18:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-21 20:01:22
после переезда на initramfs, новый initrd не в состоянии загрузить систему.

initrd создавался: mkinitrd -f --with-raid --with raid1
/boot/initrd-2.6.18-ovz-smp-alt8.raid1.img  2.6.18-ovz-smp-alt8

в /etc/fstab:
proc    /proc   proc    gid=19  0       0
devpts  /dev/pts        devpts  gid=5,mode=620  0       0
/dev/md2        /       ext2    defaults        1       1
/dev/md1        /boot   ext2    defaults        1       1
/dev/usrvar/usr /usr ext3       defaults        1       1
/dev/usrvar/var /var    ext3    defaults        1       1
/dev/storage/home       /home   ext3    defaults        1       1
/dev/stuff/ftp  /var/ftp        jfs     usrquota,grpquota       1       1
/dev/storage/hasher     /hasher ext2    defaults        1       1
/dev/storage/git        /git    xfs     usrquota,grpquota       1       1
/dev/storage/vz /var/lib/vz/private     jfs     defaults        1       1

но на самом деле:
[root@cryo ~]# /lib/udev/vol_id /dev/md2
ID_FS_USAGE=filesystem
ID_FS_TYPE=ext3
...
[root@cryo ~]# /lib/udev/vol_id /dev/md1
ID_FS_USAGE=filesystem
ID_FS_TYPE=ext3
...

При загрузке инициализировало все md, после этого:
mount: No such device
Unable to mount /dev/md2 as ext3. Dropping to a shell!

вероятно из-за отсутствия ext3 в модулях. грузится с rootfstype=ext2.

Раньше грузилось ;-)
------- Comment #1 From 2007-10-21 13:11:42 -------
Fixed in mkinitrd-3.0.5-alt1.